<?php
require '../conexao/conexao.php';
require '../configuacoes.php';
require '../sessao.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['id_lancamento'])) {
    $id_lancamento_erro = $_POST['id_lancamento'];
    $query_string = $_POST['url'];

    if (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'sim') {

        $stmt_pessoa = $connectionmysql->prepare("DELETE  FROM mapa_erros_lancados WHERE id_lancamento = ?");
        $stmt_pessoa->bind_param("i", $id_lancamento_erro);

        if ($stmt_pessoa->execute()) {

            $location = './detalha_erros.php?status=sucesso';
            $location .= '&' . $query_string;


            header("Location: $location");
            exit;
        } else {
            echo "Erro ao executar a consulta INSERT perfil_usuario: " . $stmt_perfil_usuario->error;
        }
    } elseif (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'nao') {

        $location = './detalha_erros.php';
        $location .= '?' . $query_string;

        // Redirecione para a página de destino
        header("Location: $location");
        exit;
    } else {

        $location = './detalha_erros.php';
        $location .= '?' . $query_string;


        // Redirecione para a página de destino
        header("Location: $location");
        exit;
    }
} else {

    $location = './detalha_erros.php';

    $location .= '?' . $query_string;


    header("Location: $location");
    exit;
}
